diff -Nru poppler-24.02.0-orig/CMakeLists.txt poppler-24.02.0-patched/CMakeLists.txt
--- poppler-24.02.0-orig/CMakeLists.txt	2024-02-01 17:44:27.000000000 -0500
+++ poppler-24.02.0-patched/CMakeLists.txt	2024-02-19 13:46:36.537326464 -0500
@@ -85,7 +85,7 @@
 option(BUILD_SHARED_LIBS "Build poppler as a shared library" ON)
 option(RUN_GPERF_IF_PRESENT "Run gperf if it is found" ON)
 if(WIN32)
-  option(ENABLE_RELOCATABLE "Do not hardcode the poppler library location (on Windows)." ON)
+  option(ENABLE_RELOCATABLE "Do not hardcode the poppler library location (on Windows)." ${BUILD_SHARED_LIBS})
 else()
   set(ENABLE_RELOCATABLE OFF)
 endif()
@@ -320,6 +320,10 @@
 endif()
 set(ENABLE_LIBOPENJPEG "${WITH_OPENJPEG}")
 
+if(ENABLE_LIBOPENJPEG AND NOT BUILD_SHARED_LIBS)
+  add_definitions(-DOPJ_STATIC)
+endif()
+
 find_soft_mandatory_package(ENABLE_LCMS LCMS2 2.9)
 set(USE_CMS ${ENABLE_LCMS})
 
diff -Nru poppler-24.02.0-orig/poppler.pc.cmake poppler-24.02.0-patched/poppler.pc.cmake
--- poppler-24.02.0-orig/poppler.pc.cmake	2024-02-01 17:44:27.000000000 -0500
+++ poppler-24.02.0-patched/poppler.pc.cmake	2024-02-19 13:39:54.081584167 -0500
@@ -6,5 +6,6 @@
 Description: PDF rendering library
 Version: @POPPLER_VERSION@
 
+Requires.private: @POPPLER_REQUIRES@
 Libs: -L${libdir} -lpoppler
 Cflags: -I${includedir}/poppler
